# $Revision: 1.10 $, $Date: 2011/07/14 10:21:46 $
Summary:	Wnn6 Client Library
Summary(pl.UTF-8):	Biblioteka kliencka Wnn6
Name:		Wnn6-SDK
Version:	1.0
Release:	11
License:	Copyright (C) OMRON Corporation, OMRON Software Co., Ltd. (see README)
Group:		Libraries
Source0:	ftp://ftp.omronsoft.co.jp/pub/Wnn6/sdk_source/%{name}.tar.gz
# Source0-md5:	8e0148560524643680fd016e5c4e406b
Patch0:		%{name}-config.patch
Patch1:		%{name}-incl.patch
Patch2:		%{name}-shared.patch
Patch3:		%{name}-malloc.patch
Patch4:		%{name}-nonroot.patch
Patch5:		%{name}-cpp_workaround.patch
Patch6:		%{name}-header.patch
URL:		http://www.omronsoft.co.jp/SP/pcunix/wnn/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Runtime Wnn6 client library necessary to run Wnn6 clients.

%description -l pl.UTF-8
Biblioteka kliencka Wnn6 potrzebna do uruchamiania klientów Wnn6.

%package devel
Summary:	Header files for Wnn6
Summary(pl.UTF-8):	Pliki nagłówkowe Wnn6
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains header files for Wnn6 client developments.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia klientów Wnn6.

%package static
Summary:	Static Wnn6 client library
Summary(pl.UTF-8):	Statyczna biblioteka kliencka Wnn6
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Wnn6 client library.

%description static -l pl.UTF-8
Statyczna biblioteka kliencka Wnn6.

%prep
%setup -q -n src/contrib/im/Xsi
%patch0 -p4
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p0
%patch6 -p0

%{__sed} -i -e 's|/usr/lib64/X11|%{_libdir}/X11|g' \
	config/X11.tmpl Makefile.ini

%build
%{__make} World -f Makefile.ini \
	WNNLIBDIR=%{_libdir} \
	CC="%{__cc}" \
	CDEBUGFLAGS="%{rpmcflags} -fPIC" \
	REQUIREDLIBS="-lcrypt" \

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libwnn6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwnn6.so.1

%files devel
%defattr(644,root,root,755)
%{_libdir}/libwnn6.so
%{_includedir}/wnn6

%files static
%defattr(644,root,root,755)
%{_libdir}/libwnn6.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Wnn6-SDK.spec,v $
Revision 1.10  2011/07/14 10:21:46  baggins
- updated to the current state of Xorg

Revision 1.9  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.8  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.7  2006/09/03 11:16:23  glen
- strict internal deps

Revision 1.6  2003/08/04 14:18:18  qboosh
- new %doc

Revision 1.5  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.4  2003/05/25 05:45:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/03/27 12:08:56  roman
- License: Copyright (C) OMRON Corporation, OMRON Software Co., Ltd. (see README)

Revision 1.2  2002/03/18 20:12:07  kloczek
- cut changelog and use CC="%{__cc}" during compile.

Revision 1.1  2002/03/17 22:37:30  qboosh
- spec and patches based on RedHat ones; release 11
